=== debian/changelog ===
simde (0.0.0.git.20200421-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 21 Apr 2020 18:26:12 +0200

simde (0.0.0.git.20200419-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 21:34:54 +0200

simde (0.0.0.git.20200415-1) unstable; urgency=medium

  * Disable clang on ppc64
  * Release as arch: all
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 16 Apr 2020 16:15:35 +0200

simde (0.0.0.git.20200414-1) unstable; urgency=medium

  * Fix clang skip logic
  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 14 Apr 2020 11:51:26 +0200

simde (0.0.0.git.20200412-1) unstable; urgency=medium

  * New upstream version
  * Parallelize building in the autopkgtests
  * debian/{control,rules}: skip clang where it is not available
  * debian/rules: armel: add -latomic

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Mon, 13 Apr 2020 09:35:08 +0200

simde (0.0.0.git.20200408-1) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * New upstream version

  [ Andreas Tille ]
  * Test-Depends: build-essential

 -- Andreas Tille <tille@debian.org>  Mon, 13 Apr 2020 07:33:38 +0200

simde (0.0.0.git.20200402-1) unstable; urgency=medium

  * Initial release. (Closes: #946299)

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Thu, 02 Apr 2020 09:53:54 +0200
