## simde 0.0.0.git.20200424

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -38,15 +38,15 @@
 
 add_library(munit STATIC munit/munit.c)
 
-include(CheckFunctionExists)
-check_function_exists(clock_gettime CLOCK_GETTIME_RES)
+include(CheckSymbolExists)
+check_symbol_exists(clock_gettime "time.h" CLOCK_GETTIME_RES)
 if(CLOCK_GETTIME_RES)
   set(CLOCK_GETTIME_EXISTS yes)
 else()
   set(orig_req_libs "${CMAKE_REQUIRED_LIBRARIES}")
   set(CMAKE_REQUIRED_LIBRARIES "${CMAKE_REQUIRED_LIBRARIES};rt")
 
-  check_function_exists(clock_gettime CLOCK_GETTIME_LIBRT_RES)
+  check_symbol_exists(clock_gettime "time.h" CLOCK_GETTIME_LIBRT_RES)
   if(CLOCK_GETTIME_LIBRT_RES)
     set(CLOCK_GETTIME_EXISTS yes)
     set(CLOCK_GETTIME_LIBRARY "rt")
@@ -56,11 +56,11 @@
   unset(orig_req_libs)
 endif()
 
-check_function_exists(fegetround FEGETROUND_EXISTS)
+check_symbol_exists(fegetround "fenv.h" FEGETROUND_EXISTS)
 if(NOT FEGETROUND_EXISTS)
   unset(FEGETROUND_EXISTS CACHE)
   list(APPEND CMAKE_REQUIRED_LIBRARIES m)
-  check_function_exists(fegetround FEGETROUND_EXISTS)
+  check_symbol_exists(fegetround "fenv.h" FEGETROUND_EXISTS)
   if(FEGETROUND_EXISTS)
     set(NEED_LIBM True)
   else()
