=== debian/changelog ===
simde (0.0.0.git.20200424-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Apr 2020 18:50:02 +0200
