=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

CLANG_SKIP=alpha hppa ia64 m68k ppc64 sh4 x32
# ppc64 is due to https://github.com/nemequ/simde/issues/185

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

ifneq (,$(filter $(DEB_BUILD_ARCH),armel))
  export DEB_LDFLAGS_MAINT_APPEND=-latomic
endif

%:
	dh $@ --sourcedirectory=test --builddirectory=gcc_test

override_dh_auto_configure:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	CC=gcc CXX=g++ dh_auto_configure --builddirectory=gcc_test --sourcedirectory=test
  ifeq (,$(filter $(DEB_HOST_ARCH),$(CLANG_SKIP)))
	CC=clang CXX=clang++ dh_auto_configure --builddirectory=clang_test --sourcedirectory=test
  endif
endif

override_dh_auto_build:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_build --builddirectory=gcc_test --sourcedirectory=test
  ifeq (,$(filter $(DEB_HOST_ARCH),$(CLANG_SKIP)))
	dh_auto_build --builddirectory=clang_test --sourcedirectory=test
  endif
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --builddirectory=gcc_test --sourcedirectory=test
  ifeq (,$(filter $(DEB_HOST_ARCH),$(CLANG_SKIP)))
	dh_auto_test --builddirectory=clang_test --sourcedirectory=test
  endif
endif

override_dh_auto_clean:
	dh_auto_clean --builddirectory=gcc_test --sourcedirectory=test
ifeq (,$(filter $(DEB_HOST_ARCH),$(CLANG_SKIP)))
	dh_auto_clean --builddirectory=clang_test --sourcedirectory=test
endif
