=== debian/watch ===
# alternatively to this template you might like to try
#   https://github.com/FedericoCeratto/debian-package-init/blob/master/deb_create_watch.py

version=4

# Uncomment to find new files on Github
#  - when using releases:
# https://github.com/#GITHUBUSER#/#PACKAGE#/releases/latest .*/archive/#PREFIX#@ANY_VERSION@@ARCHIVE_EXT@
#  - when using tags
# https://github.com/#GITHUBUSER#/#PACKAGE#/tags .*/#PREFIX#@ANY_VERSION@@ARCHIVE_EXT@
# Remark: frequently you can do s/#PREFIX#/v?/ since 'v' or nothing is quite common but there are other prefixes possible

# Any Git repository lacking versioned downloads
#
# Option 1: mode=git
# ------------------
#
#opts="mode=git,pretty=0.0+git%cd.%h" \
#    https://github.com/#user#/#project#.git HEAD
#
# Option 2: github_commits_package_json (only for Github)
# -------------------------------------------------------
#
# opts="uversionmangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/#VERSION_ma_be_0.0#+git$1$2$3/, \
#    filenamemangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/#VERSION_ma_be_0.0#+git$1$2$3.tar.gz/, \
#    repack,compression=xz" \
#    https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=github_commits_package_json/#user#/#project# \
#    .*/archive/(.*\.tar\.gz?.*)

opts="uversionmangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/0.0.0.git.$1$2$3/, \
   filenamemangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/0.0.0.git.$1$2$3.tar.gz/, \
   repack,compression=xz" \
   https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=github_commits_package_json/nemequ/simde \
   .*/archive/(.*\.tar\.gz?.*)
