## simde 0.0.0.git.20200522

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -101,6 +101,9 @@
   x86/avx512f.c
   x86/avx512bw.c
   x86/avx512vl.c
+  x86/avx512dq.c
+  x86/avx512cd.c
+  x86/gfni.c
   x86/fma.c
   x86/svml.c
 
@@ -143,6 +146,7 @@
   endif(ALWAYS_BUILD_NATIVE_TESTS)
 
   target_link_libraries(run-tests simde-test-${native})
+  target_add_compiler_flags(simde-test-${native} "-Wno-psabi")
 endforeach(native native emul)
 target_compile_definitions(simde-test-emul PRIVATE SIMDE_NO_NATIVE)
 
@@ -160,6 +164,8 @@
       "/x86/avx512f"
       "/x86/avx512bw"
       "/x86/avx512vl"
+      "/x86/avx512dq"
+      "/x86/gfni"
       "/x86/svml"
     )
   add_test(NAME "${tst}/${variant}" COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:run-tests> "${tst}")
