=== debian/changelog ===
simde (0.0.0.git.20200522-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 22 May 2020 21:54:08 +0200
