=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
 Build-Depends: debhelper-compat (= 12),
                cmake,
-               clang [!alpha !hppa !ia64 !m68k !ppc64 !sh4 !x32] <!nocheck>
+               clang [!alpha !hppa !ia64 !m68k !sh4 !x32] <!nocheck>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/simde
 Vcs-Git: https://salsa.debian.org/med-team/simde.git
