=== debian/changelog ===
simde (0.0.0.git.20200531-1) unstable; urgency=medium

  * New upstream version. Closes: #961599.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 01 Jun 2020 19:49:33 +0200

simde (0.0.0.git.20200526-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Tue, 26 May 2020 10:43:34 +0200
