=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Michael R. Crusoe <michael.crusoe@gmail.com>
+Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Build-Depends: debhelper-compat (= 12),
                cmake,
                clang [!alpha !hppa !ia64 !m68k !sh4 !x32] <!nocheck>
