## simde 0.0.0.git.20200611

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -106,16 +106,24 @@
   x86/fma.c
   x86/svml.c
 
-  arm/neon/vadd.c
-  arm/neon/vdup_n.c
-  arm/neon/vmul.c
-  arm/neon/vsub.c)
+  arm/neon/add.c
+  arm/neon/and.c
+  arm/neon/dup_n.c
+  arm/neon/eor.c
+  arm/neon/get_high.c
+  arm/neon/get_low.c
+  arm/neon/min.c
+  arm/neon/mla.c
+  arm/neon/mul.c
+  arm/neon/orr.c
+  arm/neon/pmin.c
+  arm/neon/sub.c)
 
 set(TEST_RUNNER_SOURCES
   run-tests.c
-  x86/test-x86.c
-  arm/neon/test-neon.c
-  arm/test-arm.c)
+  x86/run-tests.c
+  arm/run-tests.c
+  arm/neon/run-tests.c)
 add_executable(run-tests ${TEST_RUNNER_SOURCES})
 set_property(TARGET run-tests PROPERTY C_STANDARD "99")
 target_link_libraries(run-tests munit)
@@ -151,8 +159,8 @@
       "/x86/sse2"
       "/x86/sse3"
       "/x86/ssse3"
-      "/x86/sse4.1"
-      "/x86/sse4.2"
+      "/x86/sse4_1"
+      "/x86/sse4_2"
       "/x86/avx"
       "/x86/fma"
       "/x86/avx2"
@@ -162,6 +170,7 @@
       "/x86/avx512dq"
       "/x86/gfni"
       "/x86/svml"
+      "/arm"
     )
   add_test(NAME "${tst}/${variant}" COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:run-tests> "${tst}")
 endforeach()
