=== debian/changelog ===
simde (0.0.0.git.20200611-1) unstable; urgency=medium

  * New upstream version
  * Refresh munit patch

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 11 Jun 2020 10:29:43 +0200
