## simde 0.0.0.git.20200616

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -107,17 +107,25 @@
   x86/svml.c
 
   arm/neon/add.c
+  arm/neon/addw.c
   arm/neon/and.c
   arm/neon/dup_n.c
   arm/neon/eor.c
   arm/neon/get_high.c
+  arm/neon/get_lane.c
   arm/neon/get_low.c
   arm/neon/min.c
   arm/neon/mla.c
   arm/neon/mul.c
+  arm/neon/mull.c
   arm/neon/orr.c
+  arm/neon/padd.c
   arm/neon/pmin.c
-  arm/neon/sub.c)
+  arm/neon/shl_n.c
+  arm/neon/shr_n.c
+  arm/neon/sub.c
+  arm/neon/uzp1.c
+  arm/neon/uzp2.c)
 
 set(TEST_RUNNER_SOURCES
   run-tests.c
