=== debian/changelog ===
simde (0.0.0.git.20200616-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 17 Jun 2020 11:18:22 +0200
