## simde 0.0.0.git.20200619

=== debian/changelog ===
simde (0.0.0.git.20200619-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Jun 2020 12:31:07 +0200
