## simde 0.0.0.git.20200619.2.5fb12ac

=== debian/changelog ===
simde (0.0.0.git.20200619.2.5fb12ac-1) unstable; urgency=medium

  * New upstream version with fix for plink2 on ppc64el

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jun 2020 09:55:06 +0200
