## simde 0.0.0.git.20200620

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -109,6 +109,8 @@
   arm/neon/add.c
   arm/neon/addw.c
   arm/neon/and.c
+  arm/neon/bsl.c
+  arm/neon/cagt.c
   arm/neon/dup_n.c
   arm/neon/eor.c
   arm/neon/get_high.c
@@ -121,6 +123,8 @@
   arm/neon/orr.c
   arm/neon/padd.c
   arm/neon/pmin.c
+  arm/neon/reinterpret.c
+  arm/neon/shl.c
   arm/neon/shl_n.c
   arm/neon/shr_n.c
   arm/neon/sub.c
