=== debian/changelog ===
simde (0.0.0.git.20200620-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 20 Jun 2020 15:35:52 +0200
