## simde 0.5.0

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -116,12 +116,14 @@
   arm/neon/get_high.c
   arm/neon/get_lane.c
   arm/neon/get_low.c
+  arm/neon/max.c
   arm/neon/min.c
   arm/neon/mla.c
   arm/neon/mul.c
   arm/neon/mull.c
   arm/neon/orr.c
   arm/neon/padd.c
+  arm/neon/pmax.c
   arm/neon/pmin.c
   arm/neon/reinterpret.c
   arm/neon/shl.c
@@ -149,6 +151,9 @@
   foreach(csource ${TEST_SOURCES_C})
     configure_file("${csource}" "${CMAKE_CURRENT_BINARY_DIR}/${csource}pp")
     list(APPEND TEST_SOURCES_CPP "${CMAKE_CURRENT_BINARY_DIR}/${csource}pp")
+
+    get_filename_component(DIR "${csource}" DIRECTORY)
+    set_property(SOURCE "${CMAKE_CURRENT_BINARY_DIR}/${csource}pp" APPEND PROPERTY COMPILE_FLAGS " -I${CMAKE_CURRENT_SOURCE_DIR}/${DIR}")
   endforeach()
 
   add_definitions(-DSIMDE_BUILD_CPP_TESTS)
