=== debian/changelog ===
simde (0.5.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 23 Jun 2020 13:24:06 +0200
