## simde 0.6.0

=== test/CMakeLists.txt ===
--- 
+++ 
@@ -106,32 +106,99 @@
   x86/fma.c
   x86/svml.c
 
+  arm/neon/abd.c
+  arm/neon/abs.c
   arm/neon/add.c
+  arm/neon/addl.c
+  arm/neon/addl_high.c
   arm/neon/addw.c
   arm/neon/and.c
   arm/neon/bsl.c
   arm/neon/cagt.c
+  arm/neon/ceq.c
+  arm/neon/ceqz.c
+  arm/neon/cge.c
+  arm/neon/cgez.c
+  arm/neon/cgt.c
+  arm/neon/cgtz.c
+  arm/neon/cle.c
+  arm/neon/clez.c
+  arm/neon/clt.c
+  arm/neon/cltz.c
+  arm/neon/cvt.c
+  arm/neon/combine.c
+  arm/neon/create.c
+  arm/neon/dot.c
+  arm/neon/dot_lane.c
   arm/neon/dup_n.c
   arm/neon/eor.c
+  arm/neon/ext.c
   arm/neon/get_high.c
   arm/neon/get_lane.c
   arm/neon/get_low.c
   arm/neon/max.c
   arm/neon/min.c
   arm/neon/mla.c
+  arm/neon/mla_n.c
+  arm/neon/mlal.c
+  arm/neon/mlal_high.c
+  arm/neon/movl.c
+  arm/neon/movl_high.c
+  arm/neon/movn.c
   arm/neon/mul.c
+  arm/neon/mul_n.c
   arm/neon/mull.c
+  arm/neon/mull_n.c
+  arm/neon/mvn.c
+  arm/neon/neg.c
   arm/neon/orr.c
+  arm/neon/padal.c
   arm/neon/padd.c
+  arm/neon/paddl.c
   arm/neon/pmax.c
   arm/neon/pmin.c
+  arm/neon/qadd.c
+  arm/neon/qdmulh.c
+  arm/neon/qdmull.c
+  arm/neon/qrdmulh.c
+  arm/neon/qrdmulh_n.c
+  arm/neon/qmovn.c
+  arm/neon/qmovn_high.c
+  arm/neon/qmovun.c
+  arm/neon/qtbl.c
+  arm/neon/qtbx.c
+  arm/neon/rbit.c
   arm/neon/reinterpret.c
+  arm/neon/rev16.c
+  arm/neon/rev32.c
+  arm/neon/rev64.c
+  arm/neon/rhadd.c
+  arm/neon/rshl.c
+  arm/neon/rshr_n.c
+  arm/neon/rsra_n.c
+  arm/neon/set_lane.c
+  arm/neon/st1_lane.c
+  arm/neon/st3.c
+  arm/neon/st4.c
   arm/neon/shl.c
   arm/neon/shl_n.c
   arm/neon/shr_n.c
+  arm/neon/sra_n.c
   arm/neon/sub.c
+  arm/neon/subl.c
+  arm/neon/tbl.c
+  arm/neon/tbx.c
+  arm/neon/trn.c
+  arm/neon/trn1.c
+  arm/neon/trn2.c
+  arm/neon/tst.c
+  arm/neon/uzp.c
   arm/neon/uzp1.c
-  arm/neon/uzp2.c)
+  arm/neon/uzp2.c
+  arm/neon/zip.c
+  arm/neon/zip1.c
+  arm/neon/zip2.c
+  )
 
 set(TEST_RUNNER_SOURCES
   run-tests.c
@@ -189,5 +256,5 @@
       "/x86/svml"
       "/arm"
     )
-  add_test(NAME "${tst}/${variant}" COMMAND ${CMAKE_CROSSCOMPILING_EMULATOR} $<TARGET_FILE:run-tests> "${tst}")
+  add_test(NAME "${tst}/${variant}" COMMAND $<TARGET_FILE:run-tests> "${tst}")
 endforeach()
