=== debian/changelog ===
simde (0.6.0-3~mx17+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Revert to dh-compat 12.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 05 Oct 2020 18:51:31 -0700

simde (0.6.0-3) unstable; urgency=medium

  * Add patch for better altivec support from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 04 Sep 2020 10:39:45 +0200

simde (0.6.0-2) unstable; urgency=medium

  * Add two patches for 32bit x86 from upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 02 Sep 2020 11:39:33 +0200

simde (0.6.0-1) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 24 Aug 2020 17:50:12 +0200
