=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: simde
 Section: libdevel
 Priority: optional
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: clang [!alpha !hppa !ia64 !m68k !sh4 !x32] <!nocheck>,
                cmake,
-               clang [!alpha !hppa !ia64 !m68k !sh4 !x32] <!nocheck>
+               debhelper-compat (= 12)
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/simde
 Vcs-Git: https://salsa.debian.org/med-team/simde.git
-Homepage: https://github.com/nemequ/simde
+Homepage: https://github.com/simd-everywhere/simde
 Rules-Requires-Root: no
 
 Package: libsimde-dev
