=== debian/tests/control ===
Tests: run-unit-test
Depends: build-essential, clang, cmake, @
Restrictions: allow-stderr
