=== debian/changelog ===
simde (0.7.0-1) unstable; urgency=medium

  * debian/watch: only find non-release candidates.
  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * All patches removed except munit, they are no longer needed.
  * Switch to meson/ninja for build+test

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 27 Dec 2020 14:18:39 +0100
