=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: simde
 Section: libdevel
 Priority: optional
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
-Build-Depends: clang [!alpha !hppa !ia64 !m68k !sh4 !x32] <!nocheck>,
-               cmake,
-               debhelper-compat (= 12)
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               meson,
+               ninja-build,
+               clang [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !x32] <!nocheck>
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/simde
 Vcs-Git: https://salsa.debian.org/med-team/simde.git
 Homepage: https://github.com/simd-everywhere/simde
