=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
 https://github.com/simd-everywhere/simde/releases/latest .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

# opts="uversionmangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/0.0.0.git.$1$2$3/, \
#    filenamemangle=s/.*date=(\d{4})-(\d\d)-(\d\d)T.*/0.0.0.git.$1$2$3.tar.gz/, \
#    repack,compression=xz" \
#    https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=github_commits_package_json/nemequ/simde \
#    .*/archive/(.*\.tar\.gz?.*)
