## simde 0.7.2

=== meson_options.txt ===
option('tests',
    type : 'boolean',
    value : true,
    description : 'Enable dependencies required for testing')

option('sleef',
    type : 'feature',
    value : 'disabled',
    description : 'Enable SLEEF integration')
