=== debian/changelog ===
simde (0.7.2-6) unstable; urgency=medium

  * Team Upload.
  * d/rules: Skip testing on clang for now to get package building

 -- Nilesh Patra <nilesh@debian.org>  Mon, 10 Jan 2022 18:10:36 +0530

simde (0.7.2-5) unstable; urgency=medium

  * Testing: use g{cc,++}-10 until we there is a new release of SIMDe
    with the better GCC 11 support already available upstream.
    Closes: #996281
  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 13 Oct 2021 10:48:30 +0200

simde (0.7.2-4) unstable; urgency=medium

  * debian/control: requires meson >= 0.54. Closes: #983094

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Feb 2021 11:19:59 +0100

simde (0.7.2-3) unstable; urgency=high

  * Autopkgtests: skip known failure of x86/avx512/madd on s390x

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 26 Jan 2021 11:03:28 +0100

simde (0.7.2-2) unstable; urgency=high

  * Autopkgtests: drop clang, simplify deps. Closes: #971429
  * Skip build-time testing with clang on i386 due to known bug.
  * Freshen debian/copyright
  * Remove cruft from debian/watch

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 25 Jan 2021 10:01:52 +0100

simde (0.7.2-1) unstable; urgency=medium

  * New upstream version
  * debian/tests/run-test: make the autopkgtest compilation verbose

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 24 Jan 2021 19:28:30 +0100

simde (0.7.0-2) unstable; urgency=medium

  * Use meson in the autopkgtests, just like during the build, as cmake is
    deprecated for building the tests.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 31 Dec 2020 20:09:04 +0100
