=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               meson,
+               meson (>= 0.54),
                ninja-build,
-               clang [!alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !x32] <!nocheck>
-Standards-Version: 4.5.1
+               gcc-10, g++-10,
+               clang [!i386 !alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !x32] <!nocheck>
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/simde
 Vcs-Git: https://salsa.debian.org/med-team/simde.git
 Homepage: https://github.com/simd-everywhere/simde
