=== debian/tests/control ===
Tests: run-unit-test
Depends: libsimde-dev, gcc-10, g++-10, meson, ninja-build, dpkg-dev
Restrictions: allow-stderr
