## simde 0.7.3~0git20230118123246.d1e75cd

=== debian/changelog ===
simde (0.7.3~0git20230118123246.d1e75cd-2) experimental; urgency=medium

  * d/rules: -O0 for arm64; as -O2 causes one of the complex tests to
    never finish compiling.
  * Only run the non-emul tests, for more speed
  * -O0 for 32-bit x86 due to gcc 12 regression
  * Skip dbsad tests on i686, known failure.
  * armel/armhf tests also needs -O0 due to GCC 12 regression

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 21 Jan 2023 10:11:19 +0100

simde (0.7.3~0git20230118123246.d1e75cd-1) experimental; urgency=medium

  * Test before new release.
  * Drop clang everywhere as we are not testing it.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 18 Jan 2023 16:33:23 +0100
