=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                meson (>= 0.54),
                ninja-build,
-               gcc-10, g++-10,
-               clang [!i386 !alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !x32] <!nocheck>
+#              clang [!i386 !alpha !hppa !ia64 !kfreebsd-amd64 !kfreebsd-i386 !m68k !sh4 !x32] <!nocheck>
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/simde
 Vcs-Git: https://salsa.debian.org/med-team/simde.git
