## simde 0.7.4~rc1

=== debian/changelog ===
simde (0.7.4~rc1-1) unstable; urgency=medium

  * watch: switch to Git mode to avoid GitHub release page changes.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 02 Feb 2023 19:18:54 +0100
