## simde 0.7.4~rc2

=== debian/changelog ===
simde (0.7.4~rc2-2) unstable; urgency=medium

  * Autopkgtest s390x: skip arm/neon/qdmulh*

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 14 Feb 2023 18:54:32 +0100

simde (0.7.4~rc2-1) unstable; urgency=medium

  * Build & test with default gcc version.  Closes: #1023687, #1002223
  * New upstream version. Closes: #1030577
  * Skip dbsad tests on i686, known failure. Closes: #102124

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 12 Feb 2023 19:29:01 +0100
