=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,mode=git,uversionmangle=s/-rc/~rc/" \
 https://github.com/simd-everywhere/simde.git refs/tags/v?@ANY_VERSION@
