## simde 0.7.4

=== debian/changelog ===
simde (0.7.4-0~0exp0) unstable; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 May 2023 07:56:44 +0200

simde (0.7.4~rc4-0exp) experimental; urgency=medium

  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 04 May 2023 00:08:20 +0200
