## simde 0.7.4+really0.7.4~rc2

=== debian/changelog ===
simde (0.7.4+really0.7.4~rc2-1) unstable; urgency=medium

  * Revert accidental upload of 0.7.4 final to unstable.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 05 May 2023 13:16:46 +0200
